/**
 * 版权所有 ©2019 莱欧软件有限公司
 * 工程名：SpringMvcLion
 * 文件名：LogController.java
 * 创建日期：2019年3月2日 上午11:35:41
 * 作者：dlm
 */
package com.lion.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.service.LogService;

/**
 * 类描述
 * @author dlm
 * @since 2019年3月2日
 */
@RestController
@RequestMapping("log")
public class LogController {
	@Autowired
	private LogService service;
	/**
	 * 方法描述  获取日志记录
	 * @author dlm
	 * @since 2019年3月2日
	 * @param req
	 * @param page 当前页
	 * @param rows 条数
	 * @param startTime
	 * @param endTime
	 * @return	
	 */
	@RequestMapping("getLog.service")
	public Map<String,Object> getLog(HttpServletRequest req,String page,String rows,String startTime,String endTime,String text){
		return service.getLog(page, rows, startTime, endTime, text);
	}
}
