/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：LoginSignController.java
 * 创建日期：2021年11月11日 上午9:14:07
 * 作者：mt.W
 */
package com.lion.controller;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.service.LoginSignService;

/**
 * 类描述
 * @author mt.W
 * @since 2021年11月11日
 */
@RequestMapping("loginSign")
@RestController
public class LoginSignController {
	@Value("#{configProperties['tokenUrl']}") 
	private String tokenUrl;
	@Value("#{configProperties['appkey']}") 
	private String appkey;
	@Value("#{configProperties['appsecret']}") 
	private String appsecret;
	@Autowired
	private LoginSignService service;
	
	@RequestMapping("login.do")
	public String login(String code,String exiturl,HttpSession session){
		return service.login(session,code, exiturl,tokenUrl,appkey,appsecret);
	}
	@RequestMapping("loginIn.do")
	public String loginIn(HttpSession session){
		return service.loginIn(session);
	}
	
}
