/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：MainShowController.java
 * 创建日期：2021年10月29日 下午2:39:22
 * 作者：mt.W
 */
package com.lion.controller;

import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.service.MainShowService;

/**
 * 类描述
 * @author mt.W
 * @since 2021年10月29日
 */
@RestController
@RequestMapping("mainshow")
public class MainShowController {

	@Autowired
	private MainShowService service;
	
	/**
	 * 
	 * 方法描述   
	 * @author mt.W
	 * @since 2021年10月29日
	 * @param tableName
	 * @return
	 */
	@RequestMapping("getInfo.do")
	public Map<String, Object> getInfo(String tableName,String colNumNames,String year,HttpServletResponse response){
		
		response.addHeader("Content-Security-Policy","object-src 'self'");
		return service.getNongYeShengChanZongZhiInfo(tableName,colNumNames,year);
	}
	@RequestMapping("getMainShowSgInfo.do")
	public Map<String,Object> getMainShowSgInfo(String fruitId,String type,String year,HttpServletResponse response){
		response.addHeader("Content-Security-Policy","object-src 'self'");
		return service.getMainShowSgInfo(fruitId, type,year);
	}
}
